Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/desktop-file-install libX11-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:       qterm
Version:    0.7.4
Release:    alt2_12
Summary:    BBS client for X Window System written in Qt
License:    GPLv2+
URL:        https://github.com/qterm/qterm
Source0:    https://github.com/qterm/qterm/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  qt5-base-devel >= 5.3
BuildRequires:  qt5-tools qt5-tools-devel
BuildRequires:  qt5-script-devel
BuildRequires:  qt5-multimedia-devel
BuildRequires:  libssl-devel >= 1.0
BuildRequires:  ctest cmake
BuildRequires:  desktop-file-utils
Requires:   icon-theme-hicolor
Source44: import.info


%description
QTerm is a BBS client for X Window System. It supports Telnet, SSH1 and SSH2
protocols. It also supports ZMODEM, URL analysis and mouse gesture.

%prep
%setup -q

%build
%{fedora_v2_cmake} -DQT5=YES
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

# rename the executable to QTerm to prevent conflict with torque-client
mv %buildroot%{_bindir}/{qterm,QTerm}
sed -i 's/Exec=qterm/Exec=QTerm/' %buildroot%{_datadir}/applications/%{name}.desktop

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-category Application \
    --add-category RemoteAccess \
    %buildroot%{_datadir}/applications/*.desktop

%files
%doc README* RELEASE_NOTES TODO doc/*
%doc --no-dereference COPYRIGHT
%{_bindir}/QTerm
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.7.4-alt2_12
- update to new release by fcimport

* Fri Dec 01 2023 Igor Vlasenko <viy@altlinux.org> 0.7.4-alt2_10
- update to new release by fcimport

* Tue Oct 26 2021 Igor Vlasenko <viy@altlinux.org> 0.7.4-alt2_6
- update

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.7.4-alt2_4
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.7.4-alt2_3
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.4-alt1_3
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.4-alt1_1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_4
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.7.3-alt1_3
- new version

